=== debian/control ===
Source: dreamchess
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 autotools-dev,
 imagemagick,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 libmxml-dev
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/dreamchess/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/dreamchess/?op=log
Homepage: http://www.dreamchess.org/

Package: dreamchess
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 dreamchess-data (= ${source:Version})
Description: 3D chess game
 DreamChess features 3D OpenGL graphics and provides various chess board sets,
 ranging from classic wooden to flat.
 .
 A moderately strong chess engine is included: Dreamer. However, should this
 engine be too weak for you, then you can use any other XBoard-compatible chess
 engine, including the popular Crafty and GNU Chess.
 .
 Other features include on-screen move lists using SAN notation, undo
 functionality, and savegames in PGN format.

Package: dreamchess-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for dreamchess
 This package provides the data files for DreamChess including various chess
 board sets ranging from classic wooden to flat, 3D models of the chess
 pieces, graphics and audio.
