=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --parallel --with autotools_dev --with autoreconf

override_dh_auto_configure:
	CFLAGS="$(CFLAGS) -Wall -Wextra" dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games

override_dh_auto_build:
	dh_auto_build
	convert -scale 32x32 desktop/dreamchess.png dreamchess.xpm
