=== debian/watch ===
version=3
http://developer.berlios.de/project/showfiles.php?group_id=1625 .*/dreamchess-([\d\.]+)\.tar\.gz
