## dreamchess 0.2.1-RC2

=== debian/changelog ===
dreamchess (0.2.1-RC2-3) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Drop deprecated menu file and xpm icon.
  * Use https for Homepage field.
  * Remove get-orig-source target.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Dec 2018 15:31:49 +0100

dreamchess (0.2.1-RC2-2) unstable; urgency=medium

  * Build without --parallel option to avoid a race condition on buildd.

 -- Markus Koschany <apo@debian.org>  Tue, 10 Nov 2015 14:28:08 +0100

dreamchess (0.2.1-RC2-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Move the package to Git.
  * Imported Upstream version 0.2.1-RC2.
    - According to the NEWS file:
      Fixed issue with chess piece selection on some AMD GPUs.
      (Closes: #744237)
    - The chess board will be turned now when the user is playing black against
      the computer. (Closes: #578000)
    - The game works well and is not slow. (Closes: #606232)
    - Changing the resolution works with the free radeon driver.
      (Closes: #620103)
  * Declare compliance with Debian Policy 3.9.6.
  * Use compat level 9 and require debhelper >= 9.
  * d/rules: Remove --with autotools_dev because --with autoreconf
    is a superset.
  * Update debian/watch and track releases at github.com.
  * Add get-orig-source target.
  * Add bison and flex to Build-Depends.
  * debian/rules: Fix path to dreamchess.png
  * debian/rules: Do not pass buildflags to dh_auto_configure manually.
  * Add git_rev.patch and fix FTBFS.
  * Add desktop-file.patch and use upstream's desktop file from now on.
  * wrap-and-sort -sa.
  * Update debian/copyright to copyright format 1.0.
  * Add libgl1-mesa-dev, libglew-dev and libglu1-mesa-dev to Build-Depends
    otherwise the game will not start.
  * Install new dreamchess.png file to hicolor icon directory.
  * Update the clean file and ensure dreamchess can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Mon, 09 Nov 2015 19:44:59 +0100
