## dreamchess 0.3.0

=== debian/changelog ===
dreamchess (0.3.0-1build1) jammy; urgency=medium

  * No-change rebuild against libglew2.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 13:14:32 +0000

dreamchess (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Remove --no-parallel option.
  * Remove clean file.
  * Use override for dh_missing.
  * Drop all patches. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Mon, 22 Jul 2019 01:10:11 +0200
