=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  bison,
- debhelper (>= 11),
+ cmake,
+ debhelper-compat (= 12),
  flex,
- libmxml-dev,
- libsdl-image1.2-dev,
- libgl1-mesa-dev,
+ libexpat1-dev,
  libglew-dev,
- libglu1-mesa-dev,
- libsdl-mixer1.2-dev,
- libsdl1.2-dev
-Standards-Version: 4.2.1
+ libsdl2-dev,
+ libsdl2-image-dev,
+ libsdl2-mixer-dev
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/games-team/dreamchess.git
 Vcs-Browser: https://salsa.debian.org/games-team/dreamchess
 Homepage: https://www.dreamchess.org/
