=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dreamchess-$1\.tar\.gz/ \
  https://github.com/dreamchess/dreamchess/tags .*/v?(\d\S*)\.tar\.gz
